package com.gic.haoban.manage.api.dto;

import java.io.Serializable;
import java.util.Date;

/**
 *  好友状态
 *  @author mozhu
 * @date 2022/4/15 16:49
 */
public class FriendMemberStatusDTO implements Serializable {
    private static final long serialVersionUID = 346623115969695352L;
    /**
     * 最近加好友时间
     */
    private Date lastCreateTime;
    /**
     * 最近好友全部取消时间
     */
    private Date lastCancelCreateTime;
    /**
     * 状态 0 无好友 1存在好友 2好友全部取消
     */
    private Integer statusFlag;

    public Date getLastCreateTime() {
        return lastCreateTime;
    }

    public void setLastCreateTime(Date lastCreateTime) {
        this.lastCreateTime = lastCreateTime;
    }

    public Date getLastCancelCreateTime() {
        return lastCancelCreateTime;
    }

    public void setLastCancelCreateTime(Date lastCancelCreateTime) {
        this.lastCancelCreateTime = lastCancelCreateTime;
    }

    public Integer getStatusFlag() {
        return statusFlag;
    }

    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }
}
